View Issue Details

IDProjectCategoryView StatusLast Update
0005479GNUnetGNSpublic2019-02-28 11:17
ReporterlurchiAssigned Toschanzen 
PrioritynormalSeveritymajorReproducibilityalways
Status closedResolutionfixed 
PlatformallOSallOS Version
Product VersionSVN HEAD 
Target Version0.11.0Fixed in Version0.11.0 
Summary0005479: gnunet-gns-proxy should include SubjectAltName
Descriptiongnunet-gns-proxy only includes the CN (Common Name) in its certificates. Chrome/Chromium since version 58 doesn't like that. It requires a SAN (SubjectAltName) in the certificate or else will reject it with the ERR_CERT_COMMON_NAME_INVALID error message.

I'm not sure about Firefox. On my machine (NixOS, Firefox 62) it still works, others say it doesn't work.

In any case our certificates should include a SubjectAltName, too.
Additional Informationhttps://www.chromestatus.com/features/4981025180483584
TagsNo tags attached.

Activities

schanzen

2018-11-17 08:38

developer   ~0013342

Added in 6de27e4884dcc1781f5a0611ebb1d8bc524619d3.
Not sure if it works, can you test it?

Chrome will be notoriously picky as AFAIK it does other out-of-band checks as well.

lurchi

2018-11-17 09:23

developer   ~0013343

It works! Thank you :-)

Issue History

Date Modified Username Field Change
2018-11-17 07:25 lurchi New Issue
2018-11-17 07:25 lurchi Status new => assigned
2018-11-17 07:25 lurchi Assigned To => schanzen
2018-11-17 07:42 lurchi Description Updated View Revisions
2018-11-17 08:38 schanzen Status assigned => feedback
2018-11-17 08:38 schanzen Note Added: 0013342
2018-11-17 09:23 lurchi Note Added: 0013343
2018-11-17 09:23 lurchi Status feedback => assigned
2018-11-17 09:54 schanzen Status assigned => resolved
2018-11-17 09:54 schanzen Resolution open => fixed
2019-02-20 12:24 Christian Grothoff Fixed in Version => 0.11.0
2019-02-28 11:17 Christian Grothoff Status resolved => closed